%define upstream_name    SQ
%define upstream_version 0.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Easily have a string containing single quote (') from the command line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module can be used from the command line to provide several
package-scope variables that contain a single quote - '$s' '$q' and '$sq' .
It should not be used from a program or a module written in a text editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.0.5-2.mga6
+ Revision: 1033325
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.0.5-1.mga6
+ Revision: 923917
- update to 0.0.5

* Sun Oct 19 2014 umeabot <umeabot> 0.0.4-4.mga5
+ Revision: 789489
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.0.4-3.mga5
+ Revision: 740031
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-2.mga5
+ Revision: 686138
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.0.4-1.mga5
+ Revision: 581478
- update to 0.0.4

* Fri Dec 06 2013 shlomif <shlomif> 0.0.2-1.mga4
+ Revision: 555514
- imported package perl-SQ


* Fri Dec 06 2013 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
